%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%bcond_with tests
%else
%bcond_without tests
%endif

%global modname ansible-tower-cli
%global shortname tower-cli

Name:           python-%{modname}
Version:        3.2.1
Release:        2%{?dist}
Summary:        A CLI tool for Ansible Tower

License:        ASL 2.0
URL:            https://github.com/ansible/tower-cli
Source0:        %{url}/archive/v%{version}/%{shortname}-%{version}.tar.gz
BuildArch:      noarch

%global _description \
Ansible tower-cli is a command line tool for Ansible Tower.\
It allows Tower commands to be easily run from the Unix commandline. It can\
also be used as a client library for other python apps, or as a reference\
for others developing API interactions with Tower’s REST API.

%description %{_description}

%package -n     python2-%{modname}
Summary:        %{summary}

%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-setuptools
Requires:       python-colorama
Requires:       python-requests
Requires:       python-six
Requires:       python-click
%else
BuildRequires:  python2-setuptools
Requires:       python2-colorama
Requires:       python2-requests
Requires:       python2-six
Requires:       python2-click
%endif
BuildRequires:  python2-devel
Requires:       PyYAML

# Additional deps for Python 2.6
%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:       python-simplejson
Requires:       python-importlib
Requires:       python-ordereddict
%endif

# Tests dependencies
%if %{with tests}
%if 0%{?rhel} && 0%{?rhel} <= 7
BuildRequires:  python-virtualenv
BuildRequires:  python-nose
BuildRequires:  python-coverage
BuildRequires:  python-colorama
BuildRequires:  python-requests
BuildRequires:  python-six
BuildRequires:  python-click
%else
BuildRequires:  python2-virtualenv
BuildRequires:  python2-nose
BuildRequires:  python2-coverage
BuildRequires:  python2-colorama
BuildRequires:  python2-requests
BuildRequires:  python2-six
BuildRequires:  python2-click
%endif
BuildRequires:  python2-fauxquests
BuildRequires:  python2-mock
BuildRequires:  PyYAML
%endif

%{?python_provide:%python_provide python2-%{modname}}
%{!?with_python3:Provides: ansible-tower-cli = %{version}-%{release}}

%description -n python2-%{modname} %{_description}

Python 2 version.

%if %{with python3}
%package -n     python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
BuildRequires:  python3-virtualenv
BuildRequires:  python3-nose
BuildRequires:  python3-coverage
BuildRequires:  python3-fauxquests
BuildRequires:  python3-click
BuildRequires:  python3-colorama
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-PyYAML
%endif
Requires:       python3-click
Requires:       python3-colorama
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-PyYAML
Provides:       ansible-tower-cli = %{version}-%{release}
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname} %{_description}

Python 3 version.
%endif

%prep
%autosetup -n %{shortname}-%{version}

%build
%py2_build
%if %{with python3}
%py3_build
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif
mkdir -p %{buildroot}%{_sysconfdir}/tower
touch %{buildroot}%{_sysconfdir}/tower/tower_cli.cfg
%if %{without tests}
rm -rf %{buildroot}/%{python2_sitelib}/tests
rm -rf %{buildroot}/%{python3_sitelib}/tests
%endif

%if %{with tests}
%check
nosetests-%{python2_version} -v
%if %{with python3}
nosetests-%{python3_version} -v || :
%endif
rm -rf %{buildroot}/%{python2_sitelib}/tests
rm -rf %{buildroot}/%{python3_sitelib}/tests
%endif

%files -n python2-%{modname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/tower_cli/
%{python2_sitelib}/ansible_tower_cli-*.egg-info/

%if %{with python3}
%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/tower_cli/
%{python3_sitelib}/ansible_tower_cli-*.egg-info/
%endif
%{_bindir}/%{shortname}
%{_bindir}/awx-cli
%config(noreplace) %attr(600,-,-) %{_sysconfdir}/tower/tower_cli.cfg

%changelog
* Sat Dec 30 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 3.2.1-2
- Add missing bin

* Fri Dec 29 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1 (rhbz #1528496)

* Sun Oct 22 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0 (rhbz #1504437)

* Wed Oct 11 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 3.1.8-2
- Use versioned python click deps

* Sat Sep 30 2017 Athmane Madjoudj <athmane@fedoraproject.org> - 3.1.8-1
- Update to 3.1.8 (rhbz #1494299)

* Thu Aug 31 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.7-1
- Update to 3.1.7

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun 08 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.4-1
- Update to 3.1.4

* Thu Mar 23 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.3-2
- Add additional dependencies for EL6

* Wed Mar 22 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.3-1
- Update to 3.1.3

* Tue Mar 21 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.2-1
- Update to 3.1.2

* Tue Mar 14 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1

* Mon Mar 13 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Wed Feb 08 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.0.3-1
- Update to 3.0.3

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 3.0.2-2
- Rebuild for Python 3.6

* Mon Dec 12 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.0.2-1
- Update to 3.0.2

* Tue Sep 27 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.0.1-1
- Update to 3.0.1

* Fri Aug 26 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.0.0-3
- Add tests
- Move from pypi sources to github
- Some SPEC polishement

* Fri Aug 26 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.0.0-2
- Rename from ansible-tower-cli to python-ansible-tower-cli
- This package now provides:
  - python2-ansible-tower-cli (py2 libs and bin if py3 package not compiled)
  - python3-ansible-tower-cli (py3 libs and bin if py3 package compiled)
  - ansible-tower-cli (metapackage pointing to package that contains the bin)

* Thu Aug 25 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 3.0.0-1
- Initial package.
